Data.Aeson

# How to use this library

## Working with the AST

## Decoding to a Haskell value

## Decoding a mixed-type object

## Automatically decoding data types

## Pitfalls

# Encoding and decoding

decode

decode'

eitherDecode

eitherDecode'

encode

# Core JSON types

data Value

type Array

type Object

# Convenience types

data DotNetTime

# Type conversion

class FromJSON a

data Result a

fromJSON

class ToJSON a

# Inspecting ``Value`s`

withObject

withText

withArray

withNumber

withBool

# Constructors and accessors

(.=)

(.:)

(.:?)

(.!=)

object

# Parsing

json

json'